<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
     xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers">

    <f:layout name="Default" />

    <f:comment>
        sMapStylePath
        sMapOptions
        iMapFitbounds
        iMapMarkerCluster
        iMapMarkerClusterType
        sMapClusterOptions
        aMarkers
        aPolygons
    </f:comment>

    <f:section name="content">
        <f:flashMessages />

        <f:comment>
            // render map with all related information in data attributes
        </f:comment>

        <div id="map-{iRecordUid}"
             class="map kitt3n_map--map"
             style="width: {iMapWidth}; height: {iMapHeight};"
             data-km-styles="{sMapStylePath}"
             data-km-options="{sMapOptions}"
             data-km-fitbounds="{iMapFitbounds}"
             data-km-markercluster="{iMapMarkerCluster}"
             data-km-markercluster-type="{iMapMarkerClusterType}"
             data-km-markercluster-options="{sMapClusterOptions}"
             data-km-markers="{aMarkers}"
             data-km-polygons="{aPolygons}">
        </div>

    </f:section>

</div>